Route
Create a Linked Account
Create a Linked Account using the Razorpay API.
POST
Use this endpoint to create a Linked Account.
Below are the list of supported Indian states:
Below are the list of supported Indian states:
Request Parameters
string
required
The Linked Account’s business email address.
integer
required
The Linked Account’s business phone number. The minimum length is 8 characters and the maximum length is 15.
string
required
The name of the Linked Account’s business. For example,
Acme Corp. The minimum length is 4 characters and the maximum length is 200.string
The Linked Account billing label as it appears on the Dashboard. The minimum length is 1 character and the maximum length is 255.
string
required
The type of business operated by the Linked Account holder. List of possible values are available here.
string
Partner’s external account reference id. The minimum length is 1 character and the maximum length is 512.
object
required
The business details of the Linked Account’s account.
string
required
The business category of the Linked Account. Possible values: List of Business Categories.
string
required
The business sub-category of the Linked Account. Possible values: List of Business Sub-Categories.
string
The business description. The character limit between 1-255 characters.
object
Details of Linked Account’s address.
object
required
Details of the Linked Account’s registered address.
string
Address, line 1. The maximum length is 100 characters.
string
Address, line 2. The maximum length is 100 characters.
string
The city. The maximum length is 100 characters.
string
The state. The minimum length is 2 and the maximum length is 32.
integer
The postal code. This should be exactly 6 characters.
string
The country. The minimum length is 2 and the maximum length is 64. This can either be a country code in capital letters or the full name of the country in lower case letters. For example, for India, you must write either
IN or india.object
Details of the Linked Account’s operational address.
string
Address, line 1. The maximum length is 100 characters.
string
Address, line 2. The maximum length is 100 characters.
string
The city. The maximum length is 100 characters.
string
The state. The minimum length is 2 and the maximum length is 32.
integer
The postal code. This should be exactly 6 characters.
string
The country. The minimum length is 2 and the maximum length is 64. This can either be a country code in capital letters or the full name of the country in lower case letters. For example, for India, you must write either
IN or india.object
The legal details about the Linked Account’s business. The mandatory KYC requirement parameters should be passed depending on the business requirements.
string
Valid PAN number details of the Linked Account’s business.
- This is a 10-digit alphanumeric code. For example,
AVOJB1111K. - The 4th digit should be either of ‘C’, ‘H’, ‘F’, ‘A’, ‘T’, ‘B’, ‘J’, ‘G’, ‘L’.
- The regex for Company PAN is
/^[a-zA-z]{5}\d{4}[a-zA-Z]{1}$/.
string
Valid GSTIN number details of the Linked Account.
- This is a 15-digit PAN-based unique identification number.
- The Regex for GSTIN is
/^[0123][0-9][a-z]{5}[0-9]{4}[a-z][0-9][a-z0-9][a-z0-9]$/gi.
object
Options available for contact support.
object
The type of contact support.
string
The email id of chargeback POC. The maximum length is:
- local part (before @): 64 characters.
- domain part (after @): 68 characters.
The total character length supported is 132.
integer
The phone number of chargeback POC. The maximum length is 10 characters.
string
The URL of chargeback policy. Regex is (protocol://
protocol-both http/https allowed. Only domain name is mandatory.
razorpay.com:port/resource path?querystring#fragementid)protocol-both http/https allowed. Only domain name is mandatory.
object
The type of contact support.
string
The email id of refund POC. The maximum length is:
- local part (before @): 64 characters.
- domain part (after @): 68 characters.
The total character length supported is 132.
integer
The phone number of refund POC. The maximum length is 10 characters.
string
The URL of refund policy. Regex is (protocol://
protocol-both http/https allowed.
razorpay.com:port/resource path?querystring#fragementid) protocol-both http/https allowed.
array
The type of contact support.
string
The email id of support POC. The maximum length is:
- local part (before @): 64 characters.
- domain part (after @): 68 characters.
The total character length supported is 132.
integer
The phone number of support POC. The maximum length is 10 characters.
string
The URL of support policy. Regex is (protocol://
protocol-both http/https allowed.
razorpay.com:port/resource path?querystring#fragementid) protocol-both http/https allowed.
object
The app details of the account holder’s business.
array
The website/app for the account holder’s business. A minimum of 1 website is required.
array
Android app details
string
The link of the Android app. Regex is (protocol://
protocol-both http/https allowed.
razorpay.com:port/resource path?querystring#fragementid) protocol-both http/https allowed.
string
The name of the Android app.
array
iOS app details
string
The link of the iOS app. Regex is (protocol://
protocol-both http/https allowed.
razorpay.com:port/resource path?querystring#fragementid) protocol-both http/https allowed.
string
The name of the iOS app.
Response Parameters
string
The unique identifier of the account generated by Razorpay. The maximum length is 18 characters. For example,
acc_GLGeLkU2JUeyDZ.string
The account type. Possible value is
route.string
The internal reference ID. This value can be maximum of 20 characters. For example,
123123.string
The status of the account. Possible values:
createdsuspended
string
The account holder’s email address.
integer
The account holder’s phone number. The minimum length is 8 characters and the maximum length is 15.
string
The name of the account holder’s business. For example,
Acme Corp. The minimum length is 4 characters and the maximum length is 200.string
The type of business operated by the account holder. Possible values: Business Types.
object
The account holder’s business details.
string
The business category of the account holder. For example,
healthcare. Possible values: Business Category.string
The business sub-category of the account holder. For example,
clinic. Possible values: Business Sub-Category.object
Details of account holder’s address.
object
Details of the account holder’s registered address.
string
Address, line 1. The maximum length is 100 characters.
string
Address, line 2. The maximum length is 100 characters.
string
The city. The maximum length is 100 characters.
string
The state. The minimum length is 2 and the maximum length is 100.
integer
The postal code. This should be exactly 6 characters.
string
The country. The minimum length is 2 and the maximum length is 64. This can either be a country code in capital letters or the full name of the country in lower case letters. For example, for India, you must write either
IN or india.object
The legal details about the account holder’s business. The mandatory KYC requirement parameters should be passed depending on the business requirements.
string
Valid PAN number details of the account holder’s business.
- This is a 10-digit alphanumeric code. For example,
AVOJB1111K. - The 4th digit should be either of ‘C’, ‘H’, ‘F’, ‘A’, ‘T’, ‘B’, ‘J’, ‘G’, ‘L’.
- The regex for Company PAN is
/^[a-zA-z]{5}\d{4}[a-zA-Z]{1}$/.
string
Valid GSTIN number details of the account holder.
- This is a 15-digit PAN-based unique identification number.
- The Regex for GSTIN is
/^[0123][0-9][a-z]{5}[0-9]{4}[a-z][0-9][a-z0-9][a-z0-9]$/gi.
object
Contains user-defined fields stored by the partner for reference purposes.
string
The name of the contact. The minimum length is 4 and the maximum length is 255 characters.
Errors
The api key/secret provided is invalid
The api key/secret provided is invalid
Code:
4xxThis error occurs when there is a mismatch between the API credentials passed in the API call and the API credentials generated on the Dashboard.Solution: Make sure the API Keys are active and entered correctly. Also, there should not be any whitespaces before or after the keys.The input field is required
The input field is required
Code:
400This error occurs when a mandatory field is empty.Solution: Make sure to fill in all the mandatory fields.The requested URL was not found on the server.
The requested URL was not found on the server.
Code:
400This error occurs when Marketplace feature is not enabled for merchants using private auth.Solution: Ensure to enable Marketplace feature for merchants using private auth.Invalid type: route
Invalid type: route
Code:
400This error occurs when the value of a parameter is invalid. For example, when the value of the type parameter is other than route.Solution: Ensure to send correct values for parameters.Route code Support feature not enabled to add account code.
Route code Support feature not enabled to add account code.
Code:
400This error occurs when you pass the value for the reference_id parameter, but the route_code_support feature is not enabled for merchants.Solution: Ensure to enable the route_code_support feature for merchants before passing the value for the reference_id parameter.Merchant email already exists for account - BbHKlnuyZkf0xa.
Merchant email already exists for account - BbHKlnuyZkf0xa.
Code:
400This error occurs when you try to create a Linked Account with an existing email address.Solution: Make sure the email address is unique while creating a Linked Account.Invalid IFSC Code
Invalid IFSC Code
Code:
400This error occurs when you pass an invalid IFSC code.Solution: Make sure you pass a valid IFSC code.The name may only contain alphabets, digits and spaces
The name may only contain alphabets, digits and spaces
Code:
400This error occurs when the name field has anything other than alphabets, digits and spaces.Solution: Make sure you enter a valid name without special characters.The bank account number must be between 5 and 35 characters
The bank account number must be between 5 and 35 characters
Code:
400This error occurs when you pass an invalid bank account number.Solution: Make sure to pass a valid account number.Account_code -account_code is not allowed for this merchant
Account_code -account_code is not allowed for this merchant
Code:
400This error occurs when the account_code feature is not enabled for the merchant.Solution: Make sure to enable the correct feature for the merchant - route_code_support.The code format is invalid.
The code format is invalid.
Code:
400This error occurs when the reference_id format is invalid.Solution: Ensure the reference_id format is valid.The code must be at least 3 characters.
The code must be at least 3 characters.
Code:
400This error occurs when the reference_id value has less than a minimum of 3 characters.Solution: The reference_id value should be between 3 to 20 characters.